Bug 1214074 - Need a way to abort a cleanallruv abort task
Summary: Need a way to abort a cleanallruv abort task
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-21 21:16 UTC by Noriko Hosoi
Modified: 2020-09-13 21:23 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.2.11.15-54.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-22 06:37:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github 389ds 389-ds-base issues 1485 0 None None None 2020-09-13 21:23:40 UTC
Red Hat Product Errata RHBA-2015:1326 0 normal SHIPPED_LIVE 389-ds-base bug fix and enhancement update 2015-07-20 17:53:07 UTC

Description Noriko Hosoi 2015-04-21 21:16:15 UTC
By default an "abort cleanAllRUV" task will run forever (replica-certifyall: yes) until all the replicas can be reached and the clean task aborted.  However, there is no way to abort the abort task.  There should be a way to reissue a "new" abort task to kill the existing abort task.  This can be done by checking if an abort task already is running for that rid, and simply remove the "certifyall" flag which will prevent the endless loop, and allow the abort task to finish.

Currently the only other option is to stop the server, edit the dse.ldif, and remove all the nsds5ReplicaAbortCleanRUV attributes.

Comment 1 Noriko Hosoi 2015-04-21 21:17:49 UTC
Steps by Mark:
If you have two replicas, just turn one off, issue cleanAllRUV task, the cleanAllRUV task will wait becuase a replica is down.  Then issue abort task (without setting "replica-certify-all"), and make sure the cleanallruv task, and abort task finish.

An upstream ticket is planned.

Comment 3 Sankar Ramalingam 2015-05-15 11:10:08 UTC
1. Shutdown M2 in a two way MMR setup.
2. Run cleanallruv task for M2 replica agreement(ID)

ldapmodify: modify operation type is missing at line 2, entry "cn=CleanC2Task,cn=cleanallruv,cn=tasks,cn=config"
[root@ivanova ~]# ldapmodify -a -x -p 1189 -h localhost -D "cn=Directory Manager" -w Secret123 << EOF
dn: cn=CleanC2Task,cn=cleanallruv,cn=tasks,cn=config
objectclass: extensibleObject
replica-base-dn: dc=passsync,dc=com
replica-id: 1232
EOF

adding new entry "cn=CleanC2Task,cn=cleanallruv,cn=tasks,cn=config"

3. Check if cleanallruv task is completed. Cleanallruv task will be running continuously...

[15/May/2015:06:48:42 -0400] NSMMReplicationPlugin - CleanAllRUV Task: Not all replicas online, retrying in 640 seconds...
[15/May/2015:06:59:21 -0400] slapi_ldap_bind - Error: could not send bind request for id [cn=SyncManager,cn=config] mech [SIMPLE]: error -1 (Can't contact LDAP server) 0 (unknown) 107 (Transport endpoint is not connected)
[15/May/2015:06:59:22 -0400] NSMMReplicationPlugin - agmt="cn=1189_to_1626_on_ivanova.idmqe.lab.eng.bos.redhat.com" (ivanova:1626): Replication bind with SIMPLE auth failed: LDAP error -1 (Can't contact LDAP server) ((null))
[15/May/2015:06:59:22 -0400] NSMMReplicationPlugin - CleanAllRUV Task: Replica not online (agmt="cn=1189_to_1626_on_ivanova.idmqe.lab.eng.bos.redhat.com" (ivanova:1626))
[15/May/2015:06:59:22 -0400] NSMMReplicationPlugin - CleanAllRUV Task: Not all replicas online, retrying in 1280 seconds...

4 Issue a abort cleanallruv task for the same replica ID.
[root@ivanova ~]# ldapmodify -a -x -p 1189 -h localhost -D "cn=Directory Manager" -w Secret123 << EOF
dn: cn=abortTask1,cn=abort cleanallruv,cn=tasks,cn=config
objectclass: extensibleObject
replica-base-dn: dc=passsync,dc=com
replica-id: 1232
EOF
adding new entry "cn=abortTask1,cn=abort cleanallruv,cn=tasks,cn=config"

5. Check whether the cleanallruv task is completed. Abort cleanallruv task should cleanup the cleanallruv task.

[15/May/2015:07:02:58 -0400] NSMMReplicationPlugin - Abort CleanAllRUV Task: Failed to connect to replica(agmt="cn=1189_to_1489_on_ivanova.idmqe.lab.eng.bos.redhat.com" (ivanova:1489)).
[15/May/2015:07:02:58 -0400] NSMMReplicationPlugin - Abort CleanAllRUV Task: Waiting for CleanAllRUV task to abort...
[15/May/2015:07:02:58 -0400] NSMMReplicationPlugin - Abort CleanAllRUV Task: Successfully aborted task for rid(1232)


Abort cleanallruv task cleans up the running cleanallruv task. Hence, marking the bug as Verified.

Comment 4 errata-xmlrpc 2015-07-22 06:37:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1326.html


Note You need to log in before you can comment on or make changes to this bug.